<template>
  <section class="errorPage-content _500">
    <div class="errorPage-number">
      500
    </div>
    <div class="errorPage-title">
      Внутренняя ошибка
      <img
        svg-inline
        src="~/assets/svg/redesign/error-500.svg">
    </div>
    <div class="errorPage-text">
      <div class="paragraph">
        Мы уже в курсе и работаем над исправлением этой проблемы.<br>
        Пожалуйста, обновите страницу через 10 минут.
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'Error500',
};
</script>

<style lang="postcss">
  .errorPage {
    .errorPage-content._500 {
      @media screen and (min-width: 981px) {
        .errorPage-title {
          position: relative;

          .svg.svgError-500 {
            position: absolute;
            top: 4rem;
            right: -10%;
            display: block;
            width: 8.75rem;
            height: 12.5rem;
          }
        }
      }

      @media screen and (max-width: 980px) {
        .errorPage-title {
          .svg.svgError-500 {
            display: block;
            margin: 1rem auto;
            width: 5.3rem;
            height: 7.5rem;
          }
        }
      }
    }
  }

</style>
